<?php
/**
 * The template for displaying archive pages
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
 
$admania_blog_layout = get_theme_mod('admania_blog_layout_type','amblyt1');

if($admania_blog_layout == 'amblyt4')  {
	$admania_lay4maincnt = 'admania_ly4maininner';
}
else {
	$admania_lay4maincnt = '';
}

get_header(); 

echo '<main id="admania-maincontent" class="admania-sitemaincontent '.esc_attr($admania_lay4maincnt).'">';


if($admania_blog_layout == 'amblyt4')  {
	$admania_lay4class = 'admania-layout4contentarea';
}
elseif($admania_blog_layout == 'amblyt5') {
	$admania_lay4class = 'admania-layt5-contentarea';
}
else {
	$admania_lay4class = '';
}
if(($admania_blog_layout != 'amblyt14') && ($admania_blog_layout != 'amblyt16') && ($admania_blog_layout != 'amblyt17'))  {
?>

<div class="admania-contentarea <?php echo esc_attr($admania_lay4class);?>">

<?php
}
if(($admania_blog_layout != 'amblyt16') && ($admania_blog_layout != 'amblyt4')){
?>
<div class="admania-content-main-section-inner">
<?php
}
if(get_theme_mod('admania_breadcrumb_archives') != '') {
		
		admania_breadcrumb(); // Admania-BreadCrumb
		
}
if($admania_blog_layout == 'amblyt4')  {
?>
<div class="admania-layout4post">	
	
	<div class="admania-layout4postright">			
		<div class="admania-layout4postrightleft">
					
<?php
}
if($admania_blog_layout == 'amblyt1')  {
?>
  <div class="admania-contentareainner admania-layout1contentareainner">
    <?php
}

		
		if($admania_blog_layout == 'amblyt1') {  
		        /*
				 * Include the Home Page After Slider Section Ad Template.			
				 */
	             
			get_template_part('tempad-parts/afterslider','ad');	
		
		}
		elseif($admania_blog_layout == 'amblyt2') {
			   /*
				 * Include the Home Page After Slider Section Ad Template.			
				 */
	             
			get_template_part('tempad-parts/lay2afterslider','ad');	
		
		}
		
	   
	     
	   
	   ?>
    <header class="admania-archiveheader">
      <?php   
		the_archive_title( '<h1 class="admania_archivetitle">', '</h1>' );
		the_archive_description( '<div class="admania-taxonomydescription">', '</div>' );
		?>
    </header>
    <!-- .archive-header -->
    
    <?php
		if(is_author()):	
        
			echo'<div class="admania_authorpg">';		
        
				get_template_part( 'author','bio' );
		
			echo'</div>';
		
		endif;
		
		 
		if($admania_blog_layout == 'amblyt3') {
		?>
		
		<div class="admania-layout3post">
		
		<?php
		}
		
		if($admania_blog_layout == 'amblyt5') {
			
		  if(is_category() || is_tag()):
		  			
			/*
			* Include the Archive Before Content Section Ad content Template.			
			*/
			get_template_part('tempad-parts/lay5archive','ad');
		  
		  endif;
		?>
		
		<div class="admania-layout5post">
		
		<?php
		}
		if($admania_blog_layout == 'amblyt8') {
		?>
		<div class="admania-sitemaincontent8-inner">
		<?php
		}
		if($admania_blog_layout == 'amblyt14')  {
?>
<div class="admania-content-main-section">
<?php
}
		 if ( have_posts() ) :
		 
		    $admania_counter = 0;
			
			//Start the loop.
			while ( have_posts() ) : the_post();
			
			$admania_counter++;

				/*
				 * Include the Post-Format-specific template for the content.			
				 */
				get_template_part( 'content' );

			// End the loop.
			endwhile;			

			// If no content, include the "No posts found" template.
			else :
					
            echo '<p class="admania-searchpst">';
				esc_html_e('Sorry No Posts Were Found','ad-mania');	
            echo '</p>';				

			endif;
			
			if((($admania_blog_layout == 'amblyt3') || ($admania_blog_layout == 'amblyt5'))) {
			?>
		
			</div>
		
			<?php			
			}
			
			
			admania_paging_nav(); // admania-pagination
			
			if(($admania_blog_layout === 'amblyt6') && (get_theme_mod('bxd_lytftrad') != '')) {
				
			/*
			* Include the Before Footer Section Ad content Template.			
			*/
			get_template_part('tempad-parts/bxdbffooter','ad');
			
						
			}
			
						
			if($admania_blog_layout === 'amblyt5') {				
			/*
			* Include the Before Footer Section Ad content Template.			
			*/
			get_template_part('tempad-parts/lay5beforefooter','ad');
			
			?>
			<div class="admania-contentareafooter">
				<div class="screen-reader-text"><?php esc_html_e('This div height required for enabling the sticky sidebar','ad-mania'); ?></div>
		    </div>
			<?php
			}
			if($admania_blog_layout == 'amblyt8' || $admania_blog_layout == 'amblyt2' || $admania_blog_layout == 'amblyt3' || $admania_blog_layout == 'amblyt4') {
			?>
			</div>
			
			<?php
			}
			if($admania_blog_layout == 'amblyt4') {	
						
			if(get_theme_mod('layt4_cnt_rgtsdbr') !== 1):	
				get_sidebar('middle');   // Theme alt secondary Sidebar 
			endif;
			?>			
			
			<div class="admania-layt4contentareafooter">
				<div class="screen-reader-text"><?php esc_html_e('This div height required for enabling the sticky sidebar','ad-mania'); ?></div>
			</div>
			
			<?php
		   
			/*
			* Include the Before Footer Section Ad content Template.			
			*/
			get_template_part('tempad-parts/lay4beforefooter','ad');
			
			?>				
				
			</div>
			
			<?php
			}
			?>
			
			<?php			
			if($admania_blog_layout === 'amblyt1') {	
			
			get_template_part('tempad-parts/beforefooter','ad');
		
	?>
	
  </div>
		</div>
 
  <!-- .content-area-inner -->
   <?php 
   if(($admania_blog_layout != 'amblyt14') && ($admania_blog_layout != 'amblyt16'))  {
   if(get_theme_mod('admania_dabothsidebar') !== 1) {
   if((get_theme_mod('layt4_cnt_lstsdbr') !== 1) || (get_theme_mod('layt4_cnt_frstlaytlstsdbr') !== 1)) { ?>
  <div class="admania-secondarycontentarea admania_testsidbar">
    <?php

		 /*
		 * Include the Left Sidebar Section Ad Template.			
		 */
				
	    get_template_part('tempad-parts/leftsidebar','ad');

		get_sidebar('left');   // Theme Left Sidebar

		?>
  </div>  
   <?php }} ?>
 
     <div class="admania-contentareafooter">
		<div class="screen-reader-text"><?php esc_html_e('This div height required for enabling the sticky sidebar','ad-mania'); ?></div>
	 </div>
	<?php } } if($admania_blog_layout === 'amblyt4') {	
	if(get_theme_mod('layt4_cnt_lstsdbr') !== 1):	?>
	 <div class="admania-layout4postleft">
			<?php
			
				/* 
				* Include the Right Sidebar Section Ad Template.			
				*/
			
				get_template_part('tempad-parts/leftsidebar','ad');

				get_sidebar('left'); // Theme Right Sidebar

			?>
	</div>
			
	<?php endif; ?>
	</div>
	<div class="admania-contentareafooter">
		<div class="screen-reader-text"><?php esc_html_e('This div height required for enabling the sticky sidebar','ad-mania'); ?></div>
	</div>	
		
	<?php } 
	if(($admania_blog_layout != 'amblyt16') && ($admania_blog_layout != 'amblyt4') && ($admania_blog_layout != 'amblyt1') && ($admania_blog_layout != 'amblyt2') && ($admania_blog_layout != 'amblyt3')){ ?>
	</div>
	<?php
	}
if(($admania_blog_layout != 'amblyt14') && ($admania_blog_layout != 'amblyt16') && ($admania_blog_layout != 'amblyt17'))  { ?>
</div>
<!-- .content-area -->
<?php
}
if($admania_blog_layout != 'amblyt14' && $admania_blog_layout != 'amblyt16' && $admania_blog_layout != 'amblyt17' ){	  
if(get_theme_mod('admania_dabothsidebar') !== 1) { 
if(get_theme_mod('layt4_cnt_rgtsdbr') !== 1) { 
?>

<div class="admania-primarycontentarea">
  <?php		
		 /*
		 * Include the Right Sidebar Section Ad Template.			
		 */
		
		get_template_part('tempad-parts/rightsidebar','ad');

		get_sidebar('right'); // Theme Right Sidebar

		?>
</div>
<?php 
}
}
}	
echo '</main>';  //site-main 

get_footer();