<?php
/**
 * The Template for displaying all page content
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
 

get_header(); 

$admania_blog_layout = get_theme_mod('admania_blog_layout_type','amblyt1');

$admania_spblog_layout = get_theme_mod('admania_splyts_scheme','amsplyt3'); 

if($admania_spblog_layout == 'amsplyt4') {
	 $admania_gutenberg_class = 'admania-gutenberg-postclass';
}
else {
	 $admania_gutenberg_class = '';
} 
 
if($admania_blog_layout == 'amblyt5') {
	$admania_lay5class = 'admania-layt5-contentarea';
}
else {
	$admania_lay5class = '';
}
echo '<main id="admania-maincontent" class="admania-sitemaincontent '.esc_attr($admania_gutenberg_class).'">';


if (class_exists( 'Woocommerce' )):

if ( have_posts() ) : 
		
			//Start the loop.
			while ( have_posts() ) : the_post();

				/*
				 *  Include the page content template.			
				 */
				get_template_part( 'content', 'page' );	
				
				endwhile;			

		// If no content, include the "No posts found" template.
		else :
			
		?>
    <p class="admania_nocntpost">
      <?php esc_html_e('Sorry No Posts were Found..!','ad-mania');  ?>
    </p>
    <?php
	endif;
	
else:
if(($admania_spblog_layout != 'amsplyt4')) {
?>
<div class="admania-contentarea <?php echo esc_attr($admania_lay5class); ?>">
<?php
if(($admania_blog_layout == 'amblyt1')) {
?>
  <div class="admania-contentareainner admania-layout1contentareainner">
    <?php 
}

if(($admania_blog_layout == 'amblyt4')) {
?>
  <div class="admania-contentareainner admania-layout4contentareainner">
    <?php 
}
}
	if ( have_posts() ) : 
		
			//Start the loop.
			while ( have_posts() ) : the_post();

				/*
				 *  Include the page content template.			
				 */
				get_template_part( 'content', 'page' );	

				//	End the loop.
				
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) {
				 if(get_theme_mod('admania_commentspage') != 1) {
					comments_template();
				}
		        }
			endwhile;			

		// If no content, include the "No posts found" template.
		else :
			
		?>
    <p class="admania_nocntpost">
      <?php esc_html_e('Sorry No Posts were Found..!','ad-mania');  ?>
    </p>
    <?php
	endif;
	if(($admania_spblog_layout != 'amsplyt4')) {
	if(($admania_blog_layout == 'amblyt1') || ($admania_blog_layout == 'amblyt4')) {
	?>
  </div>
  <!-- .content-area-inner -->
  <?php 
  if(get_theme_mod('admania_dabothsidebar') != 1){
  if(((get_theme_mod('layt4_cnt_lstsdbr') != 1))): ?>
  <div class="admania-secondarycontentarea">
    <?php
				
		/*
		 *  Include the left sidebar Ad template.			
		 */
		
		get_template_part('tempad-parts/leftsidebar','ad');

		get_sidebar('left'); 

		?>
  </div>
  <?php 
  endif; 
  }
   } ?>
	   <div class="admania-contentareafooter">
		<div class="screen-reader-text"><?php esc_html_e('This div height required for enabling the sticky sidebar','ad-mania'); ?></div>
	</div>
</div>
<!-- .content-area -->
<?php if(get_theme_mod('admania_dabothsidebar') != 1): 
if(get_theme_mod('layt4_cnt_rgtsdbr') != 1){	
?>
<div class="admania-primarycontentarea">

        <?php
		
		get_template_part('tempad-parts/rightsidebar','ad');

		get_sidebar('right'); 

		?>
		
</div>
<?php 
}

endif;

	}
		/*
		 * Include the Page Content Bottom Section Sticky Ad Template.			
		 */
				
	   get_template_part('tempad-parts/pagesticky','ad');

endif;

if(($admania_blog_layout == 'amblyt1') || ($admania_blog_layout == 'amblyt4')) {
	
	/*
	* Include the Before Footer Section Ad Template.			
	*/			
	get_template_part('tempad-parts/beforefooter','ad'); 
	
}

echo '</main>';  //site-main 

get_footer(); 
